package data

import "time"

const (
	// default multicast group used by announced
	MulticastAddressDefault = "ff02::31f1"

	// default udp port used by announced
	Port = 1000

	// maximum receivable size
	MaxDataGramSize = 256
)

// WifiClient datatype of wifictld
type WifiClient struct {
	Addr           HardwareAddr `json:"addr"`
	Time           time.Time    `json:"time"`
	TryProbe       uint16       `json:"try_probe"`
	TryAuth        uint16       `json:"try_auth"`
	Connected      bool         `json:"connected"`
	Authed         bool         `json:"authed"`
	FreqHighest    uint16       `json:"freq_highest"`
	SignalLowFreq  int16        `json:"signal_low_freq"`
	SignalHighFreq int16        `json:"signal_high_freq"`
}
